List Additional Patches in Target
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/targets/{targetId}/additionalPatches
Lists additional patches in target, which is not present in the image to which it is subscribed and patch is not oracle recommended
Request
Path Parameters
-
goldImageId(required): string
ID of the Image
-
targetId(required): string
ID of the Target
Query Parameters
-
exclude: string
Exclude the given details in responseAllowed Values:
[ "total" ] -
include: string
Provide list of bugs fixed (if available). PatchId is mandatory, when bugs to be included in the result.Allowed Values:
[ "bugs" ] -
limit: integer(int32)
Limit count of the items in the responseExample:
10 -
page: string
Marker indicating the next set (page) of itemsExample:
b2Zmc2V0OjA -
sort: string
Comma separated list of fields along with an optional sort direction. The supported attributes of sorting are 'patchId' & 'patchDescription'.Valid sort directions are 'asc' and 'desc'. If sort direction is not specified, 'asc' is used by default.Example:
patchId:asc, patchId:desc, patchId
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. Additional patches retrieved.
Root Schema : TargetAdditionalPatchCollection
Type:
objectPatch details
Show Source
-
items(required): array
items
Array of patches
-
total: number
Total number of patchesExample:
10
Match All
Patch details
Show Source
-
object
Pagination
Collection of items with links
Nested Schema : Pagination
Type:
objectCollection of items with links
Show Source
-
count: integer
Count of this fetchExample:
40 -
links: object
Links
Represents the array of links
-
total: integer
total countExample:
40
Nested Schema : items
Type:
objectMatch All
Show Source
-
object
TargetAdditionalPatchSummary
Recommended patches for Image Version
Nested Schema : TargetAdditionalPatchSummary
Type:
objectRecommended patches for Image Version
Show Source
-
bugs: array
bugs
List of bugs
-
patchDescription: string
Description of the PatchExample:
OJVM RELEASE UPDATE 19.16.0.0.0 -
patchId: string
Id of the PatchExample:
34086870
Nested Schema : bugs
Type:
arrayList of bugs
Show Source
-
Array of:
string
Example:
26716835,28209601,28777073,29224710,29254623,29415774,29445548,29512125,29540327,29540831,29774362,29942275,30134746,30160625,30534662,30674373,30855101,30889443,30895577,31247838,31306261,31311732,31359215,31494420,31668872,31727233,31776121,31844357,32032733,32069696,32124570,32165759,32167592,32523206,32892883,33184467,33223248,33563137,33805155,33872610,34149263
Nested Schema : Links
Type:
objectRepresents the array of links
Show Source
-
next: object
Link
It represents a Link
-
previous: object
Link
It represents a Link
-
self: object
Link
It represents a Link
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message